@echo off
echo About to install ColorMax Color Sensor Software
echo Press Ctrl+C to cancel, or
pause
echo Installing ColorMax files...
mkdir "C:\Program Files\ColorMax">nul
copy /y ".\ColorMax.exe" "C:\Program Files\ColorMax\ColorMax.exe">nul
copy /y ".\ColorMax.pdf" "C:\Program Files\ColorMax\ColorMax.pdf">nul
copy /y ".\RGBChart.ocx" "C:\Program Files\ColorMax\RGBChart.ocx">nul
echo Registering RGBChart component...
if not exist C:\WINDOWS\SYSTEM\regsvr32.exe goto NoSystem
C:\WINDOWS\SYSTEM\regsvr32 /s "C:\Program Files\ColorMax\RGBChart.ocx"
goto Shortcuts
:NoSystem
if not exist C:\WINDOWS\SYSTEM32\regsvr32.exe goto NoSystem32
C:\WINDOWS\SYSTEM32\regsvr32 /s "C:\Program Files\ColorMax\RGBChart.ocx"
goto Shortcuts
:NoSystem32
if not exist C:\WINNT\SYSTEM\regsvr32.exe goto NoNtSys
C:\WINNT\SYSTEM\regsvr32 /s "C:\Program Files\ColorMax\RGBChart.ocx"
goto Shortcuts
:NoNtSys
if not exist C:\WINNT\SYSTEM32\regsvr32.exe goto NoNtSys32
C:\WINNT\SYSTEM32\regsvr32 /s "C:\Program Files\ColorMax\RGBChart.ocx"
goto Shortcuts
:NoNtSys32
echo Could not register RGBChart component -- installation failed.
goto EndOfInstall
:Shortcuts
echo Adding shortcuts to desktop and Programs menu...
if not exist "C:\Documents and Settings\All Users\Desktop\." goto NotNT5
copy /y ".\ColorMax-NT5.*" "C:\Documents and Settings\All Users\Desktop\ColorMax.*">nul
copy /y ".\ColorMax-NT5.*" "C:\Documents and Settings\All Users\Start Menu\Programs\ColorMax.*">nul
goto Complete
:NotNT5
if not exist "C:\WinNT\Profiles\All Users\Desktop\." goto NotNT4
copy /y ".\ColorMax-NT4.*" "C:\WinNT\Profiles\All Users\Desktop\ColorMax.*">nul
copy /y ".\ColorMax-NT4.*" "C:\WinNT\Profiles\All Users\Start Menu\Programs\ColorMax.*">nul
goto Complete
:NotNT4
if not exist "C:\Windows\Desktop\nul" goto NotW98
copy /y ".\ColorMax-W98.*" "C:\Windows\Desktop\ColorMax.*">nul
copy /y ".\ColorMax-W98.*" "C:\Windows\Start Menu\Programs\ColorMax.*">nul
goto Complete
:NotW98
echo Could not identify this version of Windows -- shortcuts not installed.
goto EndOfInstall
:Complete
echo ColorMax application installation complete.
call ".\USB Driver install\CP210xVCPInstaller.exe"
:EndOfInstall
pause
echo on
